library:
  version: VERSION
  remote: https://gitlab.com/calincs/cwrc/leaf-writer/leaf-writer
  license:
    name: GNU AFFERO GENERAL PUBLIC
    url: https://gitlab.com/calincs/cwrc/leaf-writer/leaf-writer/-/blob/main/LICENSE
    gpl-compatible: true
  js:
    /libraries/leafwriter/dist/index.min.js: { minified: true }
  css:
    theme:
      /libraries/leafwriter/dist/css/index.min.css: { minified: true }
      /libraries/leafwriter/dist/css/editor.css: {}

initializer:
  version: VERSION
  css:
    theme:
      css/leafwriter.css: {}
  js:
    js/initialize-leafwriter.js: {}
  dependencies:
    - core/drupal
    - core/once
    - leaf_writer/library

leafwriterclearcache:
  version: VERSION
  css:
    theme:
      css/leafwriter.css: {}
  js:
    js/leafwriter-clearcache.js: {}
  dependencies:
    - core/drupal
    - core/once
    - leaf_writer/library
